跳转到内容

Wan · v2.2 A14b · Image to Video · Turbo

集成

模型 id wan/v2.2-a14b/image-to-video/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.2-a14b/image-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.10 100 API 积分 · ≈ ₽10.75 在此页面运行

获取 API 密钥
Alibaba 图生视频 快速最高 720p

Turbo A14B 图生视频,参数简洁:图像、提示词、分辨率和可选末帧

在 Doitong 上制作

Doitong 社区使用 Wan v22 Turbo 制作的公开作品。一键复用提示词。

显示的公开作品:3
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... 视频

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... 视频

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...

# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15... 视频

# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15 seconds **Style:** high‑quality Pixar‑inspired 3D animation, cinematic, warm, emotional, charming animated movie aesthetic. ### The main character is a child Use the attached image as the only and...

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导视频生成的文本指令。

•必填 image_url
拖放文件,或

源图像 URL;所选宽高比决定是否需要预处理:不匹配时会先调整大小,再进行中心裁剪。

resolution 默认 720p

输出视频分辨率:480p、580p 或 720p。

aspect_ratio 默认 auto

生成视频的比例;设为 'auto' 时根据输入图像自动选择。

高级 end_image · acceleration · video_quality · video_write_mode · seed · enable_safety_checker · enable_output_safety_checker · enable_prompt_expansion
end_image_url
拖放文件,或

指向结束图像的 URL。

acceleration 默认 regular

加速设置,建议选择 'regular'。提高加速程度会牺牲质量以缩短生成时间。

video_quality 默认 high

输出视频质量设置;值越高,文件越大,画面效果越好。

video_write_mode 默认 balanced

视频写入模式。balanced 在速度和质量之间提供折中。选择 small 可获得最小文件和最慢写入速度;更快的写入会更早返回结果,但生成的文件更大。

使生成结果可复现的种子。设置为 None 时会随机选择种子。

POST /run/wan/v2.2-a14b/image-to-video/turbo?wait=20 报价 → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.2-a14b/image-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Wan · v2.2 A14b · Image to Video · Turbo

简化的图生视频端点。接收 `image_url` 和 `prompt`,以及可选的 `end_image_url`。`resolution` 可选 480p、580p 或 720p,`aspect_ratio` 可选 auto、16:9、9:16 或 1:1。不提供帧数、引导强度和步数设置;仅可调整 `acceleration`、质量和写入模式。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
源图像 URL;所选宽高比决定是否需要预处理:不匹配时会先调整大小,再进行中心裁剪。
prompt必填
类型string
指导视频生成的文本指令。
seed可选
类型integer | null
使生成结果可复现的种子。设置为 None 时会随机选择种子。
resolution可选
类型enum
默认值720p
480p580p720p
输出视频分辨率:480p、580p 或 720p。
aspect_ratio可选
类型enum
默认值auto
auto16:99:161:1
生成视频的比例;设为 'auto' 时根据输入图像自动选择。
enable_safety_checker可选
类型boolean
默认值false
处理前的输入安全筛查,仅授权账户可以关闭。缺少授权的请求始终会被筛查;否则,true 会启用筛查。
enable_output_safety_checker可选
类型boolean
默认值false
控制对生成视频的安全筛查;设置为 true 会在生成后执行检查。
enable_prompt_expansion可选
类型boolean
默认值false
允许大语言模型使用细节丰富提示词。启用此扩展不会改变提示词的含义。
acceleration可选
类型enum
默认值regular
noneregular
加速设置,建议选择 'regular'。提高加速程度会牺牲质量以缩短生成时间。
video_quality可选
类型enum
默认值high
lowmediumhighmaximum
输出视频质量设置;值越高,文件越大,画面效果越好。
video_write_mode可选
类型enum
默认值balanced
fastbalancedsmall
视频写入模式。balanced 在速度和质量之间提供折中。选择 small 可获得最小文件和最慢写入速度;更快的写入会更早返回结果,但生成的文件更大。
end_image_url可选 end_image
类型url · image
指向结束图像的 URL。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-a14b/image-to-video/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "The white dragon warrior stands still, eyes full of determination and strength. The camera slowly moves closer or circles around the warrior, highlighting the powerful presence and heroic spirit of the character.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}生成得到的视频文件。
prompt
string用于生成视频的文本提示词。
seed
integer生成期间应用的种子值。

更多模型:图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/wan/v2.2-a14b/image-to-video/turbo.md. 所有模型和指南: https://doitong.com/developers/llms.txt